[oggvideotools] 02/03: Add new autopkgtest script to use oggCut.

Petter Reinholdtsen pere at moszumanska.debian.org
Sun Dec 20 22:55:03 UTC 2015


This is an automated email from the git hooks/post-receive script.

pere pushed a commit to branch master
in repository oggvideotools.

commit edd817b53b94dcf8756803df3b5a4e84ac04b57d
Author: Petter Reinholdtsen <pere at hungry.com>
Date:   Sun Dec 20 23:52:41 2015 +0100

    Add new autopkgtest script to use oggCut.
---
 debian/tests/control     |  4 ++--
 debian/tests/test-oggcut | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 36 insertions(+), 2 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 056faaa..b9fcdc5 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,4 +1,4 @@
-Tests: test-oggjoin
-Depends: @, debconf, python-pygame
+Tests: test-oggjoin, test-oggcut
+Depends: @, debconf, python-pygame, python-mecavideo
 Restrictions: allow-stderr
 
diff --git a/debian/tests/test-oggcut b/debian/tests/test-oggcut
new file mode 100755
index 0000000..fce5832
--- /dev/null
+++ b/debian/tests/test-oggcut
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# Need the package mktemp and python-mecavideo
+# Based on <URL: https://bugs.launchpad.net/ubuntu/+source/oggvideotools/+bug/1462697 >
+# This test does not trigger the reported bug, but test oggCut that do
+# not crash.  To crash, a different input file is needed, as only some
+# files seem cause the crash.
+
+set -e
+at_exit() {
+    set +x
+    echo "info: test exiting, removing $WORKDIR"
+    rm -rf $WORKDIR
+}
+WORKDIR=$(mktemp -d)
+trap at_exit INT TERM EXIT
+set -x
+
+cd $WORKDIR
+
+echo "info: Running autopkgtest script $0"
+
+input=/usr/share/python-mecavideo/video/Effet_force_magnetique.ogv
+
+${TESTBINDIR}oggCut -s 500 -e 1000 "$input" out.ogv
+
+if [ -e out.ogv ] ; then
+   echo "success: Ogg Theora file out.ogv created."
+else
+   echo "error: No Ogg Theora file created by oggCut."
+   exit 1
+fi
+
+echo "info: test completed successfully"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-xiph/oggvideotools.git



More information about the pkg-xiph-commits mailing list